//*****************************************************//
//
// Unit: RsIntEdit
//
// Purpose: Edit box that accepts integers only
//
// Inherits From: TRsEdit
//
// Project: RapidMisc
//
// Author: Jeff Hiscock -- jhiscock@rapidsi.com
//
// Date: March 2000
//
// Revisions
//
// Copyright Rapid Systems 2000
//******************************************************//
//---------------------------------------------------------------------------
#ifndef RsIntEditH
#define RsIntEditH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
#include "RsEdit.h"
//---------------------------------------------------------------------------
class PACKAGE TRsIntEdit : public TRsEdit
{
private:
    void __fastcall SetIntValue(long value);
    long  __fastcall GetIntValue();
    long  FIntValue;
protected:
    long __fastcall GetCheckValue();
public:
        __fastcall TRsIntEdit(TComponent* Owner);
        __property long IntValue  = { read = GetIntValue, write = SetIntValue };
__published:
};
//---------------------------------------------------------------------------
#endif
 